misty's technology stack

一天不折腾, 一天没长进.

解决ERROR: No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android

在下载XposedBridge源码编译的时候出现 No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android错误

查找资料发现不少伙伴也遇到了,但是解决的办法有多种,这里略作总结

首先产生这个问题的原因是因为官方不推荐使用mipsel-linux-android了,所以gradle没有支持,但是旧版本的项目编译无法通过

解决方式1(不推荐):

亲测无用,因为官方新版的ndk已经没有mipsel了,不死心的可以在这个地址下载(需要科学上网)
ndk下载地址
下载自己需要的版本解压

《解决ERROR: No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android》

然后将mips64el-linux-android放到如下目录

《解决ERROR: No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android》

这个还是有点麻烦的,并且不适用,因为需要科学上网并且下载的东西有点大(不到1G),从这里也可以看出SDKManager下载的东西并不全

《解决ERROR: No toolchains found in the NDK toolchains folder for ABI with prefix: mipsel-linux-android》

解决方式2:

google 不推荐使用 mipsel ,但是很多库还是检测它是否存在,如果不存在就报错,其实可以创建空文件夹或者ln -s arm-linux-androideabi-4.9 mipsel-linux-android 其实都一样占个位置而已防止检测不通过编译失败, 这种方式也不推荐,因为官方都放弃了,还用它干什么呢

解决方式3(推荐)

这种方式也是最简单的方式,也是最合理的方式,推荐使用较新版本的gradle plugin, 直接升级到3.1.3以上重新编译即可
在build.gradle下编辑

dependencies {
        classpath 'com.android.tools.build:gradle:3.1.3'
    }

这个时候惊奇发现在ndk的toolchains下出现了mipsel-linux-android,编译也成功通过了,看来还是gradle plugin版本的问题(不是gradle版本)

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注